=head1 NAME

Attean::API::Variable - Role representing term variables

=head1 VERSION

This document describes Attean::API::Variable version 0.026

=head1 SYNOPSIS

  use v5.14;
  use Attean;

=head1 DESCRIPTION

This is a Moo role representing variables that may be used in triple and quad
patterns.

=head1 ROLES

This role consumes L<Attean::API::TermOrVariable>.

=head1 METHODS

=over 4

=item C<< as_string >>

Returns a SPARQL-like string serialization of the variable.

=back

=head1 BUGS

Please report any bugs or feature requests to through the GitHub web interface
at L<https://github.com/kasei/attean/issues>.

=head1 SEE ALSO



=head1 AUTHOR

Gregory Todd Williams  C<< <gwilliams@cpan.org> >>

=head1 COPYRIGHT

Copyright (c) 2014--2019 Gregory Todd Williams.
This program is free software; you can redistribute it and/or modify it under
the same terms as Perl itself.

=cut
